Halaman

Senin, 16 Juli 2012

Solusi Masalah Packages Cannot Be Authenticated Ubuntu Linux

Pada umumnya saat menginstal paket software pada Ubuntu Linux, Anda tidak diberi pesan bahwa paket yang akan diinstal belum dikonfirmasi sebagai paket yang terverifikasi.


Pesan peringatan: Package cannot be authenticated


Pesan peringatan
Jika pada saat melakukan instalasi suatu program kemudian muncul pesan peringatan seperti ini:
WARNING: The following packages cannot be authenticated!
........
Install these packages without verification [y/N]?
Maka kemungkinan pada saat Anda melakukan proses update, terjadi masalah koneksi internet yang mengakibatkan proses update berhenti di tengah jalan, terputusnya koneksi, sistem hang, komputer mati, atau gangguan lain yang menyebabkan proses update gagal.

Saya mengalami masalah ini pada Ubuntu 12.04 dan saya kira terjadi masalah keamanan terhadap software yang saya instal. Namun masalahnya pesan tersebut selalu muncul pada semua proses instalasi yang saya lakukan. Kemudian saya lihat source repository-nya dan tidak menemukan masalah apapun.

Solusi masalah
Karena saya pikir terjadi proses update yang belum tuntas pada saat proses update sebelumnya, maka saya coba berikan perintah update dan upgrade kembali. Berikut perintah untuk mengatasi masalah ini:
sudo apt-get update && sudo apt-get dist-upgrade
Pastikan proses update-nya berjalan lancar sampai selesai. Setelah itu coba lagi lakukan instalasi software yang Anda inginkan. Saya lakukan cara di atas dan berhasil untuk mengatasi masalah ini.

Sekian, semoga bermanfaat... :)

2 komentar: